/*
 * Copyright 2013         Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */




#ifndef __DEF_MYFILE_CALLBACK_H_
#define __DEF_MYFILE_CALLBACK_H_

#include "mf-main.h"

void mf_callback_click_cb(struct appdata *data, mfAction key, GString * path);
void mf_callback_app_rotate_cb(app_device_orientation_e , void *data);
//void mf_callback_tab_cb(void *data, Evas_Object *obj, void *event_info);
void mfNaviBackStatusSet(void *data, Evas_Object *obj, void *event_info);
void mfListByCB(void *data, Evas_Object *obj, void *event_info);
void mf_callback_launch_send_cb(void *data, Evas_Object *obj, void *event_info);
void mf_callback_cancel_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_edit_cb(void *data, Evas_Object *obj, void *event_info);
void mf_callback_save_cb(void *data, Evas_Object *obj, void *event_info);
void mf_callback_rename_save_cb(void *ad, Evas_Object * obj, void *event_info);
void mf_callback_delete_cb(void *data, Evas_Object *obj, void *event_info);
void mf_callback_max_len_reached_cb(void *data, Evas_Object *obj, void *event_info);
void mf_callback_new_folder_create_cb(void *data, Evas_Object *obj, void *event_info);
void mf_callback_list_by_view_cb(void *data, Evas_Object *obj, void *event_info);
void mfMoveCB(void *data, Evas_Object * obj, void *event_info);
void mf_callback_copy_move_cb(void *data, Evas_Object *obj, void *event_info);
void mfSearchbarCancelCallBack(void *data, Evas_Object *obj, void *event_info);

void mf_callback_move_here_cb(void *data, Evas_Object *obj, void *event_info);
void mf_callback_paste_here_cb(void *data, Evas_Object *obj, void *event_info);
void mfCopyCB(void *data, Evas_Object *obj, void *event_info);
Eina_Bool mf_callback_thumb_timer_cb(void *data);

/*Callbacks defined for external usage*/

int refresh_timer_cb(void *data);
void mfSendViaCB(void *data, Evas_Object *obj, void *event_info);

int mf_callback_set_mmc_state_cb(void *data);
int mf_callback_add_dir_watch(const char *path, void *data);
int mf_callback_remove_dir_watch(void);
int mf_callback_create_dir_monitor(void *data);
void mf_callback_destory_dir_monitor(void *data);

void mf_callback_init_operation_cancel(void *data);
void mf_callback_progress_bar_cancel_cb(void *data, Evas_Object *obj, void *event_info);
void mf_callback_thread_pipe_cb(void *data, void *buffer, unsigned int nbyte);
void mf_callback_icu_update_cb(void *data);
void mf_callback_exception_popup_cb(void *data);
void mf_callback_destory_rename(void *data);
void mf_popup_show_vk_cb(void *data, Evas_Object *obj, void *event_info);
void mf_callback_backbutton_clicked_cb(void *data, Evas_Object *obj, void *event_info);
void mf_callback_upper_button_pressed_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_upper_button_unpressed_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_upper_click_cb(void *data, Evas_Object * obj, void *event_info);
int mf_callback_set_mass_storage_state_cb(void *data);
#ifdef MYFILE_USB_OTG
void mf_callback_set_otg_state_cb(void *data);
#endif
void mf_callback_rename_button_callback(void *data, Evas_Object * obj, void *event_info);
void mf_callback_delete_button_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_imf_changed_cb(void *data, Evas_Object *obj, void *event_info);
Eina_Bool mf_callback_gengrid_thumb_timer_cb(void *data);
void mf_callback_view_style_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_home_button_pressed_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_home_button_unpressed_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_home_button_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_more_button_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_eraser_clicked_cb(void *data, Evas_Object *obj, const char *emission, const char *source);
void mf_callback_list_by_response_cb(void *data);
void mf_callback_send_response_cb(void *data);

void mf_callback_operation_request_cancel_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_operation_request_replace_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_operation_request_rename_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_list_by_button_callback(void *data, Evas_Object * obj, void *event_info);
void mf_callback_view_as_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_rename_create_cb(void *data, Evas_Object * obj, void *event_info);
#ifdef MYFILE_SPLIT_VIEW
void mf_callback_left_click_cb(struct appdata *data, GString * path, Elm_Object_Item *item);
#endif
void mf_callback_new_folder_changed_cb(void *data, Evas_Object *obj, void *event_info);
void mf_callback_sbeam_cb(void *user_data);
void mf_callback_extension_cb(void *data, Evas_Object * obj, void *event_info);
Eina_Bool mf_callback_popup_del_idler_cb(void *data);
void mf_callback_operation_timeout_cb(void *data, Evas_Object *obj, void *event_info);
void mf_callback_nofity_show_callback(void *data, Evas *e, Evas_Object *obj, void *event_info);
void mf_callback_nofity_hide_callback(void *data, Evas *e, Evas_Object *obj, void *event_info);
#ifdef MYFILE_MOTION_FEATURE
void mf_callback_motion_double_tap(Evas_Object *genlist);
#endif
void mf_callback_detail_ctx_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_profile_changed_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_share_cb(void *data, Evas_Object * obj, void *event_info);

void mf_callback_thumb_created_cb(media_content_error_e error, const char *path, void *user_data);
bool mf_callback_create_thumbnail(void *data, media_thumbnail_completed_cb callback);
void mf_callback_entry_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_imf_preedit_change_cb(void *data, Evas_Object *obj, void *event_info);
void mf_callback_select_all_button_pressed_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_select_all_button_unpressed_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_imf_hide_cb(void *data, Evas_Object *obj, void *event_info);
void mf_callback_naviframe_title_clicked_cb(void *data, Evas_Object *obj, void *event_info);
void mf_callback_entry_button_pressed_cb(void *data, Evas_Object * obj, void *event_info);
void mf_callback_entry_button_unpressed_cb(void *data, Evas_Object * obj, void *event_info);

#endif
