/*
 * Copyright 2013         Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */





#ifndef __DEF_MYFILE_CONF_H_
#define __DEF_MYFILE_CONF_H_


#define PACKAGE				"myfile"
#define PKGNAME_MYFILE			"org.tizen.myfile"
#define LOCALEDIR			"/usr/apps/org.tizen.myfile/res/locale"

#define EDJ_PATH			"/usr/apps/org.tizen.myfile/res/edje"
#define ICON_PATH			"/usr/apps/org.tizen.myfile/res/images"

#define EDJ_NAVIGATIONBAR		EDJ_PATH"/myfileNavigationBar.edj"
#define GRP_NAVI_VIEW			"navigation_view"

#define EDJ_SEARCHBAR			EDJ_PATH"/myfileSearchBar.edj"
#define GRP_SEARCH_BAR			"search_bar"

#define EDJ_NAME			EDJ_PATH"/myfile.edj"
#define GRP_LIST			"effect/model/list"
#define GRP_THUMBNAIL_ONLY		"thumbnail_only"
#define GRP_PROGRESS_LABEL		"label"
#define GRP_NO_CONTENT			"noContent"
#define GRP_PATH_INFO			"pathinfo"
#define GRP_UPPER_FOLDER		"upper_folder"
#define GRP_SEARCH_VIEW			"search_view"
#ifdef MYFILE_SPLIT_VIEW
#define GRP_UPPER_FOLDER		"upper_folder"
#define GRP_PATH_INFO_LANSCAPE		"pathinfo_lanscape"
#define GRP_UPPER_FOLDER_LANSCAPE	"upper_folder_lanscape"
#define GRP_LANDSCAPE_LAYOUT		"landscape_layout"
#endif
#define GRP_NEW_FOLDER			"new_folder_layout"
#define GRP_TRAY_ITEM			"apptray.item"

#define MYFILE_DATEFORMAT_12		"MM/dd/yyyyhm"
#define MYFILE_DATEFORMAT_24		"MM/dd/yyyyHm"


#define MYFILE_LABEL_STRING_LENGTH	128

#define MYFILE_ICU_ARR_LENGTH		128
#define BUFF_SIZE			256
#define MYFILE_BASIC_SIZE		1024
#define MAX_FOLDER_COUNT		300
#endif /* __DEF_MYFILE_CONF_H_ */
