/*
 * Copyright 2013         Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __MF_LANGUAGE_CHANGER_H
#define __MF_LANGUAGE_CHANGER_H


#include <Elementary.h>

typedef enum
{
	OBJ_TYPE_ELM_OBJECT, 		//elm_object_text_set(obj, text)
	OBJ_TYPE_EDJE_OBJECT, 	//edje_object_part_text_set(obj, part, text)
	OBJ_TYPE_MAX,
}obj_type;

typedef enum
{
	ITEM_TYPE_NULL = 0,
	ITEM_TYPE_CTRL = 1,
	ITEM_TYPE_TAB = 2,
	ITEM_TYPE_CTXPOP = 3,
	ITEM_TYPE_MAX = 4,
}item_type;

int mf_language_mgr_create();
int mf_language_mgr_destroy();

/*part and string_id must be static*/
void mf_language_mgr_register_object(Evas_Object *obj, obj_type type, const char *part, const char *string_id);
void mf_language_mgr_register_object_item(Elm_Object_Item *object_item, const char *text_ID, item_type type);
void mf_language_mgr_unregister_object_item(Elm_Object_Item *object_item);
void mf_language_mgr_unregister_object_item_by_type(item_type type);

void mf_language_mgr_object_item_text_ID_set(Elm_Object_Item *object_item, const char *text_ID);


void mf_language_mgr_register_genlist_item(Elm_Object_Item *item);
void mf_language_mgr_unregister_genlist_item(Elm_Object_Item *item);

void mf_language_mgr_register_gengrid_item(Elm_Object_Item *item);
void mf_language_mgr_unregister_gengrid_item(Elm_Object_Item *item);

void mf_language_mgr_update();

#endif
