/*
 * Copyright 2013         Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */




#ifndef __DEF_MYFILE_RESOURCE_H_
#define __DEF_MYFILE_RESOURCE_H_



/*********************   System strings ***************/
#define MF_POP_MSG_NFC			"IDS_COM_BODY_NFC"
#define MF_POP_MSG_CLOSE		"IDS_COM_POP_CLOSE"
#define MF_LABEL_SEARCH			"IDS_COM_BODY_SEARCH"
#define MF_LABEL_CREATE_FOLDER		"IDS_COM_BODY_CREATE_FOLDER"
#define MF_LABEL_FOLDER			"IDS_COM_POP_FOLDER"
#define MF_LABEL_DONE			"IDS_COM_SK_DONE"
#define MF_LABEL_LIST			"IDS_COM_OPT_LIST"
#define MF_LABEL_MORE			"IDS_COM_BODY_MORE"
#define MF_LABEL_SELECTED		"IDS_COM_BODY_SELECTED"
#define MF_LABEL_NAME_HA_TO_Z		"IDS_MF_OPT_NAME_HA_TO_Z"
#define MF_LABEL_NAME_HZ_TO_A		"IDS_MF_OPT_NAME_HZ_TO_A"
#define MF_LABEL_DATE_HMOST_RECENT	"IDS_MF_OPT_DATE_HMOST_RECENT"
#define MF_LABEL_DATE_HOLDEST		"IDS_MF_OPT_DATE_HOLDEST"
#define MF_LABEL_SIZE			"IDS_COM_BODY_SIZE"
#define MF_LABEL_TYPE			"IDS_COM_POP_TYPE"
#define MF_LABEL_NO_FILES		"IDS_COM_BODY_NO_FILES"
#define MF_LABEL_SELECT_ALL		"IDS_COM_BODY_SELECT_ALL"
#define MF_LABEL_PHONE			"IDS_COM_BODY_PHONE"
#define MF_LABEL_MMC			"IDS_COM_BODY_MEMORY_CARD"
#define MF_POP_MSG_BT			"IDS_COM_BODY_BLUETOOTH"
#define MF_POP_MSG_EMAIL		"IDS_COM_BODY_EMAIL"
#define MF_POP_MSG_MESSAGE		"IDS_COM_BODY_MESSAGE"
#define LABEL_MYFILE			"IDS_COM_BODY_MY_FILES"
#define LABEL_SAVE			"IDS_COM_SK_SAVE"
#define LABEL_CANCEL			"IDS_COM_SK_CANCEL"
#define LABEL_RENAME			"IDS_COM_SK_RENAME"
#define LABEL_DETAIL			"IDS_COM_BODY_DETAILS"
#define LABEL_DELETE			"IDS_COM_BODY_DELETE"
#define LABEL_SEARCH			"IDS_COM_SK_SEARCH"
#define LABEL_SHARE			"IDS_COM_SK4_SHARE"
#define LABEL_COPY			"IDS_COM_BODY_COPY"
#define LABEL_MOVE			"IDS_COM_BODY_MOVE"
#define MF_BUTTON_LABEL_YES		"IDS_COM_SK_YES"
#define MF_BUTTON_LABEL_NO		"IDS_COM_SK_NO"
#define MF_BUTTON_LABEL_OK		"IDS_COM_SK_OK"
#define MF_BUTTON_LABEL_DEL		"IDS_COM_POP_DELETE_Q"
#define MF_MSG_COPYING			"IDS_COM_POP_COPYING_ING"
#define MF_MSG_DELETING			"IDS_COM_POP_DELETING"
#define MF_MSG_MOVING			"IDS_COM_POP_MOVING"
#define MF_MSG_COPY_SCCESS		"IDS_COM_POP_COPIED_P"
#define MF_MSG_MOVE_SUCCESS		"IDS_COM_POP_MOVED"
#define MF_MSG_DELETE_SUCCESS		"IDS_COM_POP_DELETED"
#define MF_MSG_MOVE_FAILED		"IDS_COM_POP_MOVING_FAILED"
#define MF_POP_MSG_WIFI			"IDS_COM_OPT1_WI_FI_DIRECT"
#define LABEL_NO_RESULT			"IDS_COM_BODY_NO_SEARCH_RESULTS"
#define MF_LABEL_INVALID_CHARACTERS	"IDS_COM_POP_INVALID_CHARACTERS"
#define MF_LABEL_RETRY			"IDS_COM_SK_RETRY"
#define MF_LABEL_REPLACE		"IDS_COM_BODY_REPLACE_ABB"
#define MF_LABEL_LIST_BY		"IDS_COM_BODY_LIST_BY"
#define MF_LABEL_EDIT			"IDS_COM_BODY_EDIT"
#define MF_LABEL_UNSUPPORT_FILE_TYPE	"IDS_COM_POP_UNSUPPORTED_FILE_TYPE"
#define MF_LABEL_HOME			"IDS_COM_BODY_HOME"
#define MF_LABEL_SUCCESS		"IDS_COM_POP_SUCCESS"
#define MF_LABEL_FAILED			"IDS_COM_POP_FAILED"
#define MF_LABEL_DELETE_FAILED		"IDS_COM_POP_DELETE_FAILED"
#define MF_LABEL_FILE_NOT_EXIST		"IDS_COM_POP_FILE_NOT_EXIST"
#define MF_LABEL_NOTHING_SELECTED	"IDS_COM_POP_NOTHING_SELECTED"
#define MF_LABEL_NO_APP			"IDS_COM_BODY_NO_APPLICATIONS_CAN_PERFORM_THIS_ACTION"
#define MF_LABEL_MAX_CHARACTER_REACHED	"IDS_COM_POP_MAXIMUM_NUMBER_OF_CHARACTERS_REACHED"
#define MF_LABEL_FACEBOOK		"IDS_COM_BODY_FACEBOOK"
#define GL_SHARE_TWITTER		"IDS_COM_BODY_TWITTER"
#define GL_SHARE_YOUTUBE		"IDS_COM_BODY_YOU_TUBE"
#ifdef _USE_ENABLE_FLICKR
#define GL_SHARE_FLICKR			"IDS_COM_BODY_FLICKR"
#endif
#define GL_SHARE_PICASA			"IDS_COM_BODY_PICASA"
#define MF_LABEL_BACK			"IDS_COM_SK_BACK"
#define MF_LABEL_ADDED			"IDS_COM_OPT_ADDED"
/******************  Local strings ****************/

/**********No string ID  ************/
#define MF_POPUP_MESSAGE_SEND_FAIL3		"Folder can't be sent"
#define MF_POPUP_MSG_NAME_INVALID		"Invalid name, retry?"
#define MF_MSG_ILLEGAL_CHAR			"Invalid character entered. Try again?"
#define MF_MSG_NAME_REACH_MAX_LEN		"Length should be less than 255"
#define MF_MSG_PATH_REACH_MAX_LEN		"Full path length should be less than 4096,Retry?"
#define MF_MSG_DUP_NAME				"Duplicated name, retry?"
#define MF_RENAME_MSG_DUP_NAME			"Duplicated name"
#define MF_MSG_OPER_READ_ONLY			"Operation failed: Read Only Area"
#define MF_MSG_CREATE_DIR_FAILED		"Create Directory failed"
#define MF_MSG_EMPTY_FOLDER_NAME		"Folder name can't be empty!Retry?"
#define MF_MSG_GET_NAME_FAILED			"Get name failed. try again!"
#define MF_RENAME_MSG_GET_NAME_FAILED		"Get name failed"
#define MF_MSG_SET_NAME_DOT			"Can't set file name as \".\" and \"..\" , Retry?"
#define MF_MSG_SET_NAME_ALL_SPACE		"Can't set file name as all spaces,Retry?"
#define MF_MSG_GENERATE_NEW_NAME_FAILED		"Generate new name failed, Retry?"
#define MF_MSG_UNKNOW_REASON_RENAME_FAILED	"Rename failed with unknown reason, retry?"
#define MF_MSG_NO_NAME_WARNING			"Name is empty. Please enter name"
#define MF_MSG_MOVE_FAILED2			"Cannot move: The destination folder is the same as the source folder"
#define MF_MSG_COPY_FAILED1			"Cannot copy: The destination folder is subfolder of source folder"
#define MF_MSG_IO_ERR				"Critical file IO error"
#define MF_MSG_UNKNOWN_ERR			"Unknow file IO error"
#define MF_MSG_BIG_SIZE_ERR			"File size is too big"
#define MF_MSG_LONG_NAME_ERR			"File name is too long"
#define MF_MSG_ARG_ERR				"Argument error"
#define MF_MSG_DEFAULT_ERR			"Internal error"
#define MF_MSG_FAULT_ERR			"Invalid argument pointer"
#define MF_MSG_FILE_TYPE_ERR			"File type error"
#define MF_MSG_MEM_ERR				"Memory malloc error"
#define MF_MSG_LOOP_ERR				"Folder structure is too deep" /* Too many symbolic links were encountered in resolving pathname , the max is 16*/
#define MF_MSG_RO_ERR				"Read-only file system"
#define MF_MSG_MAX_OPEN_ERR			"Reach the maximum number of openning files"/*The process already has the maximum number of files open.*/
#define MF_BUTTON_LABEL_RENAME_AUTOMATICALLY	"Rename automatically"
#define MF_LABEL_A_TO_Z				"A to Z"
#define MF_LABEL_Z_TO_A				"Z to A"
#define MF_LABEL_MOST_RECENT			"Most recent"
#define MF_LABEL_OLDEST				"Oldest"
/********************  local string ID ************/

#define MF_POPUP_MESSAGE_SEND_FAIL1		"IDS_MF_POP_SEND_FAILED"
#define MF_POPUP_MESSAGE_SEND_FAIL2		"IDS_MF_POP_DRM_FILE_CANNOT_SEND"
#define MF_MSG_FOLDER_NUM_MAX			"IDS_MF_POP_MAXIMUM_FOLDER_REACHED"
#define MF_MSG_FOLDER_DIR_IN_USE		"IDS_MF_POP_SAME_NAME_ALREADY_IN_USE"
#define MF_MSG_MEMORY_NOT_ENOUGH		"IDS_MF_POP_NOT_ENOUGH_HEAP_MEMORY"

#define MF_MSG_MOVE_FAILED1			"IDS_MF_POP_UNABLE_TO_MOVE_DESTINATION_FOLDER_SAME_AS_SOURCE_FOLDER"
#define MF_MSG_NOT_ENOUGH_SPACE			"IDS_MF_POP_NOT_ENOUGH_MEMORY_DELETE_SOME_ITEMS"
#define MF_MSG_COPY_FAILED2			"IDS_MF_POP_COPYING_FAILED"
#define MF_MSG_MOVE_FAILED3			"IDS_MF_POP_MOVING_FAILED"
#define MF_MSG_DEL_FAILED1			"IDS_MF_POP_DELETE_FAILED"
#define MF_MSG_NO_SPACE				"IDS_MF_BODY_NOT_ENOUGH_MEMORY_IN_PHONE_MEMORY_DELETE_SOME_ITEMS_AND_TRY_AGAIN"
#define MF_MSG_PERMISSION_ERR			"IDS_MF_POP_PERMISSION_DENIED"
#define MF_MSG_COPY_FAILED			"IDS_MF_POP_COPYING_FAILED"
#define MF_MSG_RENAME_ILLEGAL_CHAR		"IDS_MF_POP_INVALID_FILE_NAME"


#define LABEL_COPY_HERE				"IDS_MF_POP_PASTE_HERE"
#define LABEL_MOVE_HERE				"IDS_MF_OPT_MOVE_HERE"
#define LABEL_LIST_VIEW				"IDS_MF_OPT_VIEW_BY_LIST"
#define MF_LABEL_UPPER				"IDS_MF_TAB_UP"
#define MF_LABEL_ASCENDING			"IDS_MF_POP_ASCENDING"
#define MF_LABEL_DESCENDING			"IDS_MF_POP_DESCENDING"

#define LABEL_LIST_DETAIL_VIEW			"IDS_MF_BODY_LIST_AND_DETAILS_ABB"
#define LABEL_VIEW_AS				"IDS_MF_OPT_VIEW_AS"
#define MF_LABEL_SHOW_EXTENSION			"IDS_MF_OPT_SHOW_FILE_EXTENSION"
#define MF_LABEL_OTG				"IDS_MF_TAB_EXTERNAL_STORAGE"
#define MF_LABEL_THUMBNAILS			"IDS_MF_OPT_THUMBNAIL_VIEW"
#define MF_LABEL_SEARCH_ALL			"IDS_MF_BUTTON_SEARCH_ALL_FOLDERS"
#define LABEL_SORT_BY				"IDS_MF_OPT_SORT_BY"
#define MF_LABEL_HIDE_EXTENSION			"IDS_MF_OPT_HIDE_FILE_EXTENSION_ABB"
#define MF_LABEL_ADD_TO_HOME			"IDS_MF_BUTTON_ADD_TO_HOME"

#endif
