/*
 * Copyright 2013         Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



#ifndef __MF_S_BEAM_H__
#define __MF_S_BEAM_H__

#include "mf-main.h"

typedef void (*Mf_Sbeam_Cb)(void *user_data);

#ifdef __cplusplus
extern "C" {
#endif

bool mf_sbeam_init();
void mf_sbeam_finalize();
bool mf_sbeam_enable();
bool mf_sbeam_disable();
bool mf_sbeam_set_callback(Mf_Sbeam_Cb callback, void *user_data);
bool mf_sbeam_share_files(Evas_Object *win, Eina_List *file_list);

#ifdef __cplusplus
}
#endif


#endif /* __MF_S_BEAM_H__ */

