/*
 * Copyright 2013         Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __MF_SENSOR_H__
#define __MF_SENSOR_H__

typedef enum{
	MF_MOTION_FACEDOWN = 0x01,
	MF_MOTION_DOUBLETAP,
}mf_motion_type;

typedef void (*mf_sensor_cb)(unsigned long long timestamp, void *user_data);

int mf_sensor_init(void);
int mf_sensor_finalize(void);
int mf_sensor_start(mf_motion_type type);
int mf_sensor_stop(mf_motion_type type);
int mf_sensor_set_callback(mf_motion_type type, mf_sensor_cb callback, void *user_data);
int mf_sensor_unset_callback(mf_motion_type type);

#endif

