/*
 * Copyright 2013         Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _MF_TRAY_H_
#define _MF_TRAY_H_

#include <Elementary.h>

#include "mf-conf.h"
#include "mf-fs-util.h"

#define MF_ICON_CATEGORY_BG				ICON_PATH"/myfile_icon_category_bg.png"
#define MF_ICON_CATEGORY_BG_PRESS			ICON_PATH"/myfile_icon_category_bg_press.png"

#define MF_ICON_CATEGORY_IMAGE				ICON_PATH"/myfile_icon_category_image.png"
#define MF_ICON_CATEGORY_VIDEO				ICON_PATH"/myfile_icon_category_video.png"
#define MF_ICON_CATEGORY_SOUNDS				ICON_PATH"/myfile_icon_category_sounds.png"
#define MF_ICON_CATEGORY_DOCUMENT			ICON_PATH"/myfile_icon_category_document.png"
#define MF_ICON_CATEGORY_OTHERS				ICON_PATH"/myfile_icon_category_others.png"

#define MF_ICON_CATEGORY_IMAGE_PRESS			ICON_PATH"/myfile_icon_category_image_press.png"
#define MF_ICON_CATEGORY_VIDEO_PRESS			ICON_PATH"/myfile_icon_category_video_press.png"
#define MF_ICON_CATEGORY_SOUNDS_PRESS			ICON_PATH"/myfile_icon_category_sounds_press.png"
#define MF_ICON_CATEGORY_DOCUMENT_PRESS			ICON_PATH"/myfile_icon_category_document_press.png"
#define MF_ICON_CATEGORY_OTHERS_PRESS			ICON_PATH"/myfile_icon_category_others_press.png"

#ifdef MYFILE_TRAY_FEATURE

typedef enum __mf_tray_item_category mf_tray_item_category;
enum __mf_tray_item_category{
	mf_tray_item_category_none,
	mf_tray_item_category_image,
	mf_tray_item_category_video,
	mf_tray_item_category_sounds,
	mf_tray_item_category_document,
	mf_tray_item_category_others,
	mf_tray_item_category_max
};

Evas_Object *mf_tray_create(Evas_Object *parent, void *data);
int mf_tray_item_type(const char *path);

#endif

#endif
