/*
 * Copyright 2013         Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */




#include "mf-widget.h"
#include "mf-util.h"
#include "mf-fm-svc-wrapper.h"
/***Todo	we need to extract some common code to be APIs***/
/******************************
** Prototype    : mf_content_create_list
** Description  : create the list for the content
** Input        : struct appdata *data
** Output       : None
** Return Value :
** Calls        :
** Called By    :
**
**  History        :
**  1.Date         : 2010/12/10
**    Author       : Samsung
**    Modification : Created function
**
******************************/
Evas_Object *mf_content_create_list(struct appdata *data)
{
	struct appdata *ap = (struct appdata *)data;
	mf_retvm_if(ap == NULL, NULL, "invalid parameter data");


	if (ap->mf_MainWindow.pNaviGenlist)
		ap->mf_MainWindow.pNaviGenlist = NULL;

	return mf_navi_bar_content_create(ap);
}

/******************************
** Prototype    : mf_content_main_layout_set_by_tab_item_count
** Description  : set content of mainlayout by the count of tab bar items
** Input        : void *data
** Output       : None
** Return Value : 0	tab is deleted and navibar of phone set as content
				: 1	tab bar is the content
** Calls        :
** Called By    :
**
**  History        :
**  1.Date         : 2010/12/10
**    Author       : Samsung
**    Modification : Created function
**
******************************/


